Package org.eclipse.cdt.utils.elf

# Class Elf.PHdr

java.lang.Object
org.eclipse.cdt.utils.elf.Elf.PHdr

Enclosing class:
  `Elf`

public class Elf.PHdr extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`p_align`
`long`
`p_filesz`
`long`
`p_flags`
`long`
`p_memsz`
`long`
`p_offset`
`IAddress`
`p_paddr`
`long`
`p_type`
`IAddress`
`p_vaddr`
`static final int`
`PF_R`
`static final int`
`PF_W`
`static final int`
`PF_X`
`static final int`
`PT_DYNAMIC`
`static final int`
`PT_INTERP`
`static final int`
`PT_LOAD`
`static final int`
`PT_NOTE`
`static final int`
`PT_NULL`
`static final int`
`PT_PHDR`
`static final int`
`PT_SHLIB`

## Constructor Summary

Constructors
Constructor
Description
`PHdr()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PT_NULL

public static final int PT_NULL

See Also:
  - Constant Field Values

### PT_LOAD

public static final int PT_LOAD

See Also:
  - Constant Field Values

### PT_DYNAMIC

public static final int PT_DYNAMIC

See Also:
  - Constant Field Values

### PT_INTERP

public static final int PT_INTERP

See Also:
  - Constant Field Values

### PT_NOTE

public static final int PT_NOTE

See Also:
  - Constant Field Values

### PT_SHLIB

public static final int PT_SHLIB

See Also:
  - Constant Field Values

### PT_PHDR

public static final int PT_PHDR

See Also:
  - Constant Field Values

### PF_X

public static final int PF_X

See Also:
  - Constant Field Values

### PF_W

public static final int PF_W

See Also:
  - Constant Field Values

### PF_R

public static final int PF_R

See Also:
  - Constant Field Values

### p_type

public long p_type

### p_offset

public long p_offset

### p_vaddr

public IAddress p_vaddr

### p_paddr

public IAddress p_paddr

### p_filesz

public long p_filesz

### p_memsz

public long p_memsz

### p_flags

public long p_flags

### p_align

public long p_align

## Constructor Details

### PHdr

public PHdr()